=== debian/changelog ===
ros-noetic-libphidget22 (1.0.7-1focal) focal; urgency=high

  * Update to libphidget22 1.13. (#161 <https://github.com/ros-drivers/phidgets_drivers/issues/161>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-noetic-libphidget22 (1.0.6-1focal) focal; urgency=high

  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * libphidget22: Use install FILES for libraries
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-libphidget22 (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-libphidget22 (1.0.4-1focal) focal; urgency=high

  * Update to libphidget22-1.7.20210816 (#106 <https://github.com/ros-drivers/phidgets_drivers/issues/106>)
    This is required to support new devices such as the MOT0109.
    Fixes #99 <https://github.com/ros-drivers/phidgets_drivers/issues/99>, fixes #105 <https://github.com/ros-drivers/phidgets_drivers/issues/105>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-libphidget22 (1.0.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-libphidget22 (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-libphidget22 (1.0.1-1focal) focal; urgency=high

  * Re-run bloom to fix the line endings in the patch file
    (#77 <https://github.com/ros-drivers/phidgets_drivers/issues/77>)
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-libphidget22 (1.0.0-1focal) focal; urgency=high

  * Update to libphidget22 from 2020.
  * Update maintainers in package.xml
  * Patch warnings in libphidget22.
  * Fix up libphidget22 package.xml dependencies.
  * Add in libphidget22 package.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000
